Get Orderbooks
curl --request GET \
--url https://api.predexon.com/v2/polymarket/orderbooks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/polymarket/orderbooks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/polymarket/orderbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshots": [
{
"asks": [
{
"size": 123,
"price": 123
}
],
"bids": [
{
"size": 123,
"price": 123
}
],
"hash": "<string>",
"assetId": "<string>",
"timestamp": 123,
"tickSize": "<string>",
"indexedAt": 123,
"market": "<string>"
}
],
"pagination": {
"limit": 123,
"count": 123,
"has_more": true,
"pagination_key": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Orderbooks
Orderbook History
Get historical orderbook snapshots for a token
GET
/
v2
/
polymarket
/
orderbooks
Get Orderbooks
Fetch historical orderbook snapshots for a token. Data starts from January 1st, 2026.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
| Constraint | Value |
|---|---|
limit | 1–200 (default 100) |
Timestamps are in milliseconds for this endpoint.
Authorizations
Query Parameters
The token ID (asset) for the Polymarket market
Start time in Unix timestamp (milliseconds)
End time in Unix timestamp (milliseconds)
Maximum number of snapshots to return
Required range:
1 <= x <= 2000Pagination key to get the next chunk of data
⌘I
